POST https://gate.reviopay.com/api/v1/purchases/{id}/delete_recurring_token/Description
Will set is_recurring_token to false. You won’t be able to use this Purchase’s ID as a recurring_token anymore. The respective ClientRecurringToken, if any, will also be deleted. If this operation takes too long to be processed on the acquirer side - you will get a response with status code 200 a corresponding Webhook callback for a purchase.pending_recurring_token_delete event. To be notified of a successful operation completion, please subscribe to purchase.recurring_token_deleted callback event.
Example
curl -X POST https://gate.reviopay.com/api/v1/purchases/{id}/delete_recurring_token/ \
-H 'Authorization: Bearer <YOUR_API_KEY>' \
-H 'Content-Type: application/json'Responses
| Status | Description |
|---|---|
200 | OK |
404 | No such object |